"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenControllers = void 0;
const verifyTimeTokenService_1 = require("../services/verifyTimeTokenService");
const tokenCreateService_1 = require("../services/tokenCreateService");
const insertToBd_1 = require("../services/insertToBd");
class TokenControllers {
    createToken(request, response) {
        return __awaiter(this, void 0, void 0, function* () {
            let token;
            let refresh_token;
            let data_criacao;
            const verifyToken = new verifyTimeTokenService_1.VerifyToken();
            const { status, message } = yield verifyToken.execute();
            if (status === 200) {
                console.log('====================================');
                console.log(message);
                console.log('====================================');
                return response.status(status).json(message);
            }
            if (status === 500) {
                console.log('====================================');
                console.log();
                console.log('====================================');
                return response.status(status).json(message);
            }
            const createTokenService = new tokenCreateService_1.CreateTokenService();
            const createTokenServiceExec = yield createTokenService.execute();
            if (createTokenServiceExec.status !== 200) {
                console.log('====================================');
                console.log('====================================');
                return response.json(createTokenServiceExec.message).status(createTokenServiceExec.status);
            }
            token = createTokenServiceExec.token;
            refresh_token = createTokenServiceExec.refresh_token;
            data_criacao = createTokenServiceExec.data_criacao;
            const insertToBd = new insertToBd_1.InsertToBd();
            const execInsertToBd = yield insertToBd.execute(token, refresh_token, data_criacao);
            console.log('====================================');
            console.log(execInsertToBd);
            console.log('====================================');
            return response.status(execInsertToBd.status).json(execInsertToBd);
        });
    }
}
exports.TokenControllers = TokenControllers;
