"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("express-async-errors");
const express_1 = __importDefault(require("express"));
const cors_1 = __importDefault(require("cors"));
const AppError_1 = __importDefault(require("./middlewares/AppError"));
const token_routes_1 = require("./routes/token.routes");
const app = (0, express_1.default)();
const port = 9006;
app.use((0, cors_1.default)({
    origin: '*'
}));
app.use('/token', token_routes_1.routerToken);
app.use((error, req, res, next) => {
    if (error instanceof AppError_1.default) {
        return res.status(error.statusCode).json({
            error: error.message,
            status: error.statusCode
        });
    }
    return res.status(500).json({
        status: 'error',
        message: 'Internal server'
    });
});
app.listen(port, () => {
    console.log('====================================');
    console.log('Rodando na porta ' + port);
    console.log('====================================');
});
