"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InsertToBd = void 0;
const client_1 = require("@prisma/client");
class InsertToBd {
    execute(token, refresh_token, data_criacao) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const prisma = new client_1.PrismaClient();
                const selectedToken = yield prisma.token.findFirst();
                if (selectedToken) {
                    const updateToken = yield prisma.token.update({
                        where: {
                            id: selectedToken.id
                        },
                        data: {
                            refresh_token,
                            token,
                            data_criacao: new Date(data_criacao).toISOString()
                        }
                    });
                    return {
                        message: updateToken,
                        status: 200
                    };
                }
                else {
                    const new_token = yield prisma.token.create({
                        data: {
                            token,
                            refresh_token,
                            data_criacao: new Date(data_criacao).toISOString()
                        }
                    });
                    return {
                        message: new_token,
                        status: 203
                    };
                }
            }
            catch (error) {
                return {
                    message: {
                        id: 0,
                        token: '',
                        data_criacao: new Date(),
                        refresh_token: ''
                    },
                    status: 500
                };
            }
        });
    }
}
exports.InsertToBd = InsertToBd;
