"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateTokenService = void 0;
const axios_1 = __importDefault(require("axios"));
const dotenv_1 = __importDefault(require("dotenv"));
const transformData_1 = require("../utils/transformData");
dotenv_1.default.config();
class CreateTokenService {
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const cnpj = process.env.CNPJ_SH;
                const token_sh = process.env.TOKEN_SH;
                const url = process.env.URL;
                let token_tec = '';
                let refresh_token_tec = '';
                let data_criacao = '';
                let status = 500;
                let message = '';
                const data = {
                    cnpj_sh: cnpj,
                    token_sh
                };
                yield axios_1.default.post(url + 'auth', data)
                    .then((response) => {
                    const dataNow = new Date();
                    const { token, refresh_token } = response.data;
                    message = '';
                    status = 200;
                    token_tec = token;
                    refresh_token_tec = refresh_token;
                    data_criacao = (0, transformData_1.formatDbData)(dataNow);
                })
                    .catch((error) => {
                    message = 'Requisition error on tecnoSpeed ';
                    status = error.status;
                    token_tec = '';
                    refresh_token_tec = '';
                    data_criacao = '';
                });
                return {
                    message,
                    status,
                    token: token_tec,
                    refresh_token: refresh_token_tec,
                    data_criacao: data_criacao
                };
            }
            catch (error) {
                return {
                    message: 'Internal server Error',
                    status: 500,
                    token: '',
                    refresh_token: '',
                    data_criacao: ''
                };
            }
        });
    }
}
exports.CreateTokenService = CreateTokenService;
