"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyToken = void 0;
const client_1 = require("@prisma/client");
const verifyExperitedToken_1 = require("../utils/verifyExperitedToken");
class VerifyToken {
    constructor() {
        this.prisma = new client_1.PrismaClient();
    }
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const getToken = yield this.prisma.token.findFirst();
                if (getToken) {
                    if ((0, verifyExperitedToken_1.verifyToken)(getToken.token)) {
                        return {
                            message: {
                                id: getToken.id,
                                token: getToken.token,
                                data_criacao: new Date(),
                                refresh_token: getToken.refresh_token
                            },
                            status: 200
                        };
                    }
                    return {
                        message: {
                            id: getToken.id,
                            token: getToken.token,
                            data_criacao: new Date(),
                            refresh_token: getToken.refresh_token
                        },
                        status: 204
                    };
                }
                return {
                    message: {
                        id: 0,
                        token: '',
                        data_criacao: new Date(),
                        refresh_token: ''
                    },
                    status: 204
                };
            }
            catch (error) {
                return {
                    message: {
                        id: 0,
                        token: '',
                        data_criacao: new Date(),
                        refresh_token: ''
                    },
                    status: 500
                };
            }
            finally {
                yield this.prisma.$disconnect();
            }
        });
    }
}
exports.VerifyToken = VerifyToken;
