"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyToken = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
// Token JWT que você deseja verificar
function verifyToken(token) {
    try {
        // Verifique se o token ainda é válido sem a chave secreta
        const decoded = jsonwebtoken_1.default.decode(token);
        if (decoded.exp) {
            const expirationDate = new Date(decoded.exp * 1000);
            const currentUnixTime = Math.floor(Date.now() / 1000);
            if (decoded.exp > currentUnixTime) {
                return true;
            }
            else {
                return false;
            }
        }
        else {
            return false;
        }
    }
    catch (error) {
        return false;
    }
}
exports.verifyToken = verifyToken;
